package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskTerminatorCollectApi;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollect;
import com.docus.server.service.ITaskTerminatorCollectService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集记录表（终端） TaskTerminatorCollectController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@RestController
public class TaskTerminatorCollectController implements TaskTerminatorCollectApi {
    @Resource
    private ITaskTerminatorCollectService iTaskTerminatorCollectService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorCollect findById(String id) {
        return iTaskTerminatorCollectService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorCollect> search(SearchRequest searchRequest) {
        return iTaskTerminatorCollectService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorCollect 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorCollect taskTerminatorCollect) {
        return iTaskTerminatorCollectService.add(taskTerminatorCollect);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorCollect 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorCollect taskTerminatorCollect) {
        return iTaskTerminatorCollectService.edit(taskTerminatorCollect);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorCollectService.delete(ids);
    }
}
