package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.TaskTerminatorVirtualLogApi;
import com.docus.server.entity.scheduling.management.TaskTerminatorVirtualLog;
import com.docus.server.service.ITaskTerminatorVirtualLogService;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 虚拟机使用情况（采集器终端） TaskTerminatorVirtualLogController 控制器类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@RestController
public class TaskTerminatorVirtualLogController implements TaskTerminatorVirtualLogApi {
    @Resource
    private ITaskTerminatorVirtualLogService iTaskTerminatorVirtualLogService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorVirtualLog findById(String id) {
        return iTaskTerminatorVirtualLogService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorVirtualLog> search(SearchRequest searchRequest) {
        return iTaskTerminatorVirtualLogService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorVirtualLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorVirtualLog taskTerminatorVirtualLog) {
        return iTaskTerminatorVirtualLogService.add(taskTerminatorVirtualLog);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorVirtualLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorVirtualLog taskTerminatorVirtualLog) {
        return iTaskTerminatorVirtualLogService.edit(taskTerminatorVirtualLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorVirtualLogService.delete(ids);
    }
}
