package com.docus.server.infrastructure.dao.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskOperationLog;
import com.docus.server.infrastructure.dao.ITaskOperationLogDao;
import com.docus.server.infrastructure.mapper.TaskOperationLogMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） TaskOperationLogDaoImpl 数据访问实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Repository
public class TaskOperationLogDaoImpl extends BaseDaoImpl<TaskOperationLogMapper, TaskOperationLog> implements ITaskOperationLogDao {

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskOperationLog findById(String id) {
        return super.findById(id);
    }

    /**
     * 新增
     *
     * @param taskOperationLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskOperationLog taskOperationLog) {
        return super.save(taskOperationLog);
    }

    /**
     * 编辑
     *
     * @param taskOperationLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskOperationLog taskOperationLog) {
        return super.updateById(taskOperationLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return super.deleteByIds(ids);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskOperationLog> search(SearchRequest searchRequest) {
        //分页
        PageHelper.startPage(searchRequest.getPageNum(), searchRequest.getPageSize());
        LambdaQueryWrapper<TaskOperationLog> query = Wrappers.lambdaQuery();
        //时间范围，默认按createTime
        if (searchRequest.getBeginTime() != null) {
            query.ge(TaskOperationLog::getCreateTime, searchRequest.getBeginTime());
        }
        if (searchRequest.getEndTime() != null) {
            Date endTime = searchRequest.getEndTime();
            query.le(TaskOperationLog::getCreateTime, endTime);
        }
        //关键字比较，多个列or
        //if (!StringUtils.isEmpty(searchRequest.getKeyword())) {
        //单个列用like
        //query. like(TaskOperationLog::getxxx, searchRequest. getKeyword());
        //多个列用like
        //query. and(sub -> sub.like(TaskOperationLog::getxx1, searchRequest. getKeyword())
        // оr(). like(TaskOperationLog::getXX2, searchRequest. getKeyword()))
        //);
        //}
        //默认createTime倒序排序
        query.orderByDesc(TaskOperationLog::getCreateTime);
        List<TaskOperationLog> list = super.find(query);
        return new PageResult<>(list);
    }

}
