package com.docus.server.infrastructure.dao.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorErrorLog;
import com.docus.server.infrastructure.dao.ITaskTerminatorErrorLogDao;
import com.docus.server.infrastructure.mapper.TaskTerminatorErrorLogMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 采集器异常日志（采集器终端） TaskTerminatorErrorLogDaoImpl 数据访问实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Repository
public class TaskTerminatorErrorLogDaoImpl extends BaseDaoImpl<TaskTerminatorErrorLogMapper, TaskTerminatorErrorLog> implements ITaskTerminatorErrorLogDao {

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorErrorLog findById(String id) {
        return super.findById(id);
    }

    /**
     * 新增
     *
     * @param taskTerminatorErrorLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorErrorLog taskTerminatorErrorLog) {
        return super.save(taskTerminatorErrorLog);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorErrorLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorErrorLog taskTerminatorErrorLog) {
        return super.updateById(taskTerminatorErrorLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return super.deleteByIds(ids);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorErrorLog> search(SearchRequest searchRequest) {
        //分页
        PageHelper.startPage(searchRequest.getPageNum(), searchRequest.getPageSize());
        LambdaQueryWrapper<TaskTerminatorErrorLog> query = Wrappers.lambdaQuery();
        //时间范围，默认按createTime
        if (searchRequest.getBeginTime() != null) {
            query.ge(TaskTerminatorErrorLog::getCreateTime, searchRequest.getBeginTime());
        }
        if (searchRequest.getEndTime() != null) {
            Date endTime = searchRequest.getEndTime();
            query.le(TaskTerminatorErrorLog::getCreateTime, endTime);
        }
        //关键字比较，多个列or
        //if (!StringUtils.isEmpty(searchRequest.getKeyword())) {
        //单个列用like
        //query. like(TaskTerminatorErrorLog::getxxx, searchRequest. getKeyword());
        //多个列用like
        //query. and(sub -> sub.like(TaskTerminatorErrorLog::getxx1, searchRequest. getKeyword())
        // оr(). like(TaskTerminatorErrorLog::getXX2, searchRequest. getKeyword()))
        //);
        //}
        //默认createTime倒序排序
        query.orderByDesc(TaskTerminatorErrorLog::getCreateTime);
        List<TaskTerminatorErrorLog> list = super.find(query);
        return new PageResult<>(list);
    }

}
