package com.docus.server.infrastructure.dao.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.docus.infrastructure.core.db.dao.impl.BaseDaoImpl;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorVirtualLog;
import com.docus.server.infrastructure.dao.ITaskTerminatorVirtualLogDao;
import com.docus.server.infrastructure.mapper.TaskTerminatorVirtualLogMapper;
import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 虚拟机使用情况（采集器终端） TaskTerminatorVirtualLogDaoImpl 数据访问实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Repository
public class TaskTerminatorVirtualLogDaoImpl extends BaseDaoImpl<TaskTerminatorVirtualLogMapper, TaskTerminatorVirtualLog> implements ITaskTerminatorVirtualLogDao {

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorVirtualLog findById(String id) {
        return super.findById(id);
    }

    /**
     * 新增
     *
     * @param taskTerminatorVirtualLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorVirtualLog taskTerminatorVirtualLog) {
        return super.save(taskTerminatorVirtualLog);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorVirtualLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorVirtualLog taskTerminatorVirtualLog) {
        return super.updateById(taskTerminatorVirtualLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return super.deleteByIds(ids);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorVirtualLog> search(SearchRequest searchRequest) {
        //分页
        PageHelper.startPage(searchRequest.getPageNum(), searchRequest.getPageSize());
        LambdaQueryWrapper<TaskTerminatorVirtualLog> query = Wrappers.lambdaQuery();
        //时间范围，默认按createTime
        if (searchRequest.getBeginTime() != null) {
            query.ge(TaskTerminatorVirtualLog::getCreateTime, searchRequest.getBeginTime());
        }
        if (searchRequest.getEndTime() != null) {
            Date endTime = searchRequest.getEndTime();
            query.le(TaskTerminatorVirtualLog::getCreateTime, endTime);
        }
        //关键字比较，多个列or
        //if (!StringUtils.isEmpty(searchRequest.getKeyword())) {
        //单个列用like
        //query. like(TaskTerminatorVirtualLog::getxxx, searchRequest. getKeyword());
        //多个列用like
        //query. and(sub -> sub.like(TaskTerminatorVirtualLog::getxx1, searchRequest. getKeyword())
        // оr(). like(TaskTerminatorVirtualLog::getXX2, searchRequest. getKeyword()))
        //);
        //}
        //默认createTime倒序排序
        query.orderByDesc(TaskTerminatorVirtualLog::getCreateTime);
        List<TaskTerminatorVirtualLog> list = super.find(query);
        return new PageResult<>(list);
    }

}
