package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskOperationLog;
import com.docus.server.infrastructure.dao.ITaskOperationLogDao;
import com.docus.server.service.ITaskOperationLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） TaskOperationLogServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Service
public class TaskOperationLogServiceImpl implements ITaskOperationLogService {
    @Resource
    private ITaskOperationLogDao iTaskOperationLogDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskOperationLog findById(String id) {
        return iTaskOperationLogDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskOperationLog> search(SearchRequest searchRequest) {
        return iTaskOperationLogDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskOperationLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskOperationLog taskOperationLog) {
        return iTaskOperationLogDao.add(taskOperationLog);
    }

    /**
     * 编辑
     *
     * @param taskOperationLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskOperationLog taskOperationLog) {
        return iTaskOperationLogDao.edit(taskOperationLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskOperationLogDao.delete(ids);
    }
}

