package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollectRetryLog;
import com.docus.server.infrastructure.dao.ITaskTerminatorCollectRetryLogDao;
import com.docus.server.service.ITaskTerminatorCollectRetryLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集记录表重试表（终端） TaskTerminatorCollectRetryLogServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Service
public class TaskTerminatorCollectRetryLogServiceImpl implements ITaskTerminatorCollectRetryLogService {
    @Resource
    private ITaskTerminatorCollectRetryLogDao iTaskTerminatorCollectRetryLogDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorCollectRetryLog findById(String id) {
        return iTaskTerminatorCollectRetryLogDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorCollectRetryLog> search(SearchRequest searchRequest) {
        return iTaskTerminatorCollectRetryLogDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorCollectRetryLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorCollectRetryLog taskTerminatorCollectRetryLog) {
        return iTaskTerminatorCollectRetryLogDao.add(taskTerminatorCollectRetryLog);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorCollectRetryLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorCollectRetryLog taskTerminatorCollectRetryLog) {
        return iTaskTerminatorCollectRetryLogDao.edit(taskTerminatorCollectRetryLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorCollectRetryLogDao.delete(ids);
    }
}

