package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollect;
import com.docus.server.infrastructure.dao.ITaskTerminatorCollectDao;
import com.docus.server.service.ITaskTerminatorCollectService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集记录表（终端） TaskTerminatorCollectServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Service
public class TaskTerminatorCollectServiceImpl implements ITaskTerminatorCollectService {
    @Resource
    private ITaskTerminatorCollectDao iTaskTerminatorCollectDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorCollect findById(String id) {
        return iTaskTerminatorCollectDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorCollect> search(SearchRequest searchRequest) {
        return iTaskTerminatorCollectDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorCollect 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorCollect taskTerminatorCollect) {
        return iTaskTerminatorCollectDao.add(taskTerminatorCollect);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorCollect 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorCollect taskTerminatorCollect) {
        return iTaskTerminatorCollectDao.edit(taskTerminatorCollect);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorCollectDao.delete(ids);
    }
}

