package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorErrorLog;
import com.docus.server.infrastructure.dao.ITaskTerminatorErrorLogDao;
import com.docus.server.service.ITaskTerminatorErrorLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 采集器异常日志（采集器终端） TaskTerminatorErrorLogServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Service
public class TaskTerminatorErrorLogServiceImpl implements ITaskTerminatorErrorLogService {
    @Resource
    private ITaskTerminatorErrorLogDao iTaskTerminatorErrorLogDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorErrorLog findById(String id) {
        return iTaskTerminatorErrorLogDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorErrorLog> search(SearchRequest searchRequest) {
        return iTaskTerminatorErrorLogDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorErrorLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorErrorLog taskTerminatorErrorLog) {
        return iTaskTerminatorErrorLogDao.add(taskTerminatorErrorLog);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorErrorLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorErrorLog taskTerminatorErrorLog) {
        return iTaskTerminatorErrorLogDao.edit(taskTerminatorErrorLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorErrorLogDao.delete(ids);
    }
}

