package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorVirtualLog;
import com.docus.server.infrastructure.dao.ITaskTerminatorVirtualLogDao;
import com.docus.server.service.ITaskTerminatorVirtualLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 虚拟机使用情况（采集器终端） TaskTerminatorVirtualLogServiceImpl 服务实现类
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Service
public class TaskTerminatorVirtualLogServiceImpl implements ITaskTerminatorVirtualLogService {
    @Resource
    private ITaskTerminatorVirtualLogDao iTaskTerminatorVirtualLogDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public TaskTerminatorVirtualLog findById(String id) {
        return iTaskTerminatorVirtualLogDao.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<TaskTerminatorVirtualLog> search(SearchRequest searchRequest) {
        return iTaskTerminatorVirtualLogDao.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param taskTerminatorVirtualLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(TaskTerminatorVirtualLog taskTerminatorVirtualLog) {
        return iTaskTerminatorVirtualLogDao.add(taskTerminatorVirtualLog);
    }

    /**
     * 编辑
     *
     * @param taskTerminatorVirtualLog 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(TaskTerminatorVirtualLog taskTerminatorVirtualLog) {
        return iTaskTerminatorVirtualLogDao.edit(taskTerminatorVirtualLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iTaskTerminatorVirtualLogDao.delete(ids);
    }
}

