package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.docus.server.enums.CollectTypeEnum;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 采集器管理（终端）
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("task_collector")
@ApiModel(value = "TaskCollector对象", description = "采集器管理（终端）")
public class TaskCollector implements Serializable {

    @ApiModelProperty(value = "主键（采集器id）")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "当前采集器版本id")
    @TableField("collector_version_id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集语言")
    @TableField("collect_language")
    private String collectLanguage;

    @ApiModelProperty(value = "采集器类型")
    @TableField("collect_type")
    private CollectTypeEnum collectType;

    @ApiModelProperty(value = "启动方式")
    @TableField("start_mode")
    private String startMode;

    @ApiModelProperty(value = "采集器任务超时时间")
    @TableField("task_timeout")
    private String taskTimeout;

    @ApiModelProperty(value = "采集器配置")
    @TableField("config_json")
    private String configJson;

    @ApiModelProperty(value = "采集器配置,0：公共配置，1：采集器私有配置")
    @TableField("config_type")
    private String configType;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
