package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 执行管理器（采集器终端）
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_terminator")
@ApiModel(value = "TaskTerminator对象", description = "执行管理器（采集器终端）")
public class TaskTerminator implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "终端IP")
    @TableField("terminator_ip")
    private String terminatorIp;

    @ApiModelProperty(value = "资源管理器名称")
    @TableField("terminator_name")
    private String terminatorName;

    @ApiModelProperty(value = "只干某些任务，任务偏好属性")
    @TableField("only_collector_ids")
    private String onlyCollectorIds;

    @ApiModelProperty(value = "优先干某些任务，任务偏好属性（优先给哪个采集器，若不空闲再给任意采集器）")
    @TableField("collector_id")
    private String collectorId;

    @ApiModelProperty(value = "不干某些任务，任务偏好属性")
    @TableField("not_collector_ids")
    private String notCollectorIds;

    @ApiModelProperty(value = "终端重试键")
    @TableField("retry_key")
    private String retryKey;

    @ApiModelProperty(value = "是否限制采集器类型，0：否，1：是")
    @TableField("restrict_state")
    private String restrictState;

    @ApiModelProperty(value = "忙闲状态，0：空闲，1：繁忙")
    @TableField("busy_state")
    private String busyState;

    @ApiModelProperty(value = "在线状态，0：离线，1：在线")
    @TableField("online_state")
    private String onlineState;

    @ApiModelProperty(value = "最近任务执行时间")
    @TableField("last_task_exec_time")
    private LocalDateTime lastTaskExecTime;

    @ApiModelProperty(value = "正在执行任务的名称")
    @TableField("executing_task_name")
    private String executingTaskName;

    @ApiModelProperty(value = "最近一次任务执行失败原因")
    @TableField("last_task_error_msg")
    private String lastTaskErrorMsg;

    @ApiModelProperty(value = "任务扩展参数")
    @TableField("task_params")
    private String taskParams;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
