package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 虚拟机使用情况（采集器终端）
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_terminator_virtual_log")
@ApiModel(value = "TaskTerminatorVirtualLog对象", description = "虚拟机使用情况（采集器终端）")
public class TaskTerminatorVirtualLog implements Serializable {

    @ApiModelProperty(value = "虚拟机id")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "CPO使用率")
    @TableField("cpu_utilization")
    private String cpuUtilization;

    @ApiModelProperty(value = "物理内存总量")
    @TableField("memory_total")
    private String memoryTotal;

    @ApiModelProperty(value = "物理内存余量")
    @TableField("memory_allowance")
    private String memoryAllowance;

    @ApiModelProperty(value = "当前网络上行速率(KBPS)")
    @TableField("uplink_rate")
    private String uplinkRate;

    @ApiModelProperty(value = "当前网络下行速率")
    @TableField("descending_rate")
    private String descendingRate;

    @ApiModelProperty(value = "采集器终端ip地址")
    @TableField("ip")
    private String ip;

    @ApiModelProperty(value = "url请求地址")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
